package com.wzj.soopin.transaction.wechat;

public class WechatPayException extends Exception {
    private final int statusCode;
    private final String errorCode;

    public WechatPayException(String message, int statusCode, String errorCode, Throwable cause) {
        super(message, cause);
        this.statusCode = statusCode;
        this.errorCode = errorCode;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public String getErrorCode() {
        return errorCode;
    }
}
